#!/bin/sh

#
# Initialization script for Arduino stuff
#
# Loads modules and launches proxy server application
# required for communication with Arduino module.
#

echo Enabling 5V

echo Enabling USB Port
gpio 127 -d ho 1
gpio 127 -d i

echo Loading dwc_otg.ko
insmod /data/dwc_otg.ko

echo Waiting 3s for the device to be ready
sleep 3

echo Setting correct baud rate of 38400 for /dev/ttyPA0
stty -F /dev/ttyPA0 raw speed 38400 -crtscts cs8 -cstopb -parenb

#echo Activate log
#cat /dev/ttyPA0 >> /data/video/gps.log.0 &
